#include <string.h>
#include <stdio.h>

#include "html.h"
#include "htmlparser.h"
#include "gui.h"
#include "error.h"
#include "display.h"

int html_title(html_tag_args *args)
{
	char *title;

	title = get_text();
	if(!title) {
		error("Out of memory.");
		return -1;
	}

	set_document_title(title);

	return 0;
}

/* FIXME: This method uses linear search which is really slow. 
 * We should use hash table instead */

int do_body_arg(char *name, char *value)
{
	enum { BGCOLOR, BG, LINK, VLINK, TEXT, ONLOAD, NUM };

	static char *args[NUM] = {
		"bgcolor", "background", "link",
		"vlink", "text", "onload"
	};

	int i;
	
	for(i = 0; i < NUM; i++) 
		if(strcasecmp(args[i], name) == 0)	
			break;

	if(i == NUM)
		return -1;

	switch(i) {

	case BGCOLOR:
		display_set_bgcolor(value);
		break;

	case BG:
		break;

	case LINK:
		break;

	case VLINK:
		break;

	case TEXT:
		break;

	case ONLOAD:
		break;
	}
	
	return 0;
}

int html_body(html_tag_args *args)
{
	html_tag_args *current;

	current = args;

	while(current) {
		do_body_arg(current->name, current->value);			
		current = current->next;
	}
	
	return 0;
}

int html_para(html_tag_args *args)
{
	return 0;
}

int html_br(html_tag_args *args)
{
	return 0;
}

int html_font(html_tag_args *args)
{
	return 0;
}
